/2025-01/retail-media/accounts/{accountId}/retailers
curl --request GET \
--url https://api.criteo.com/2025-01/retail-media/accounts/{accountId}/retailers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-01/retail-media/accounts/{accountId}/retailers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-01/retail-media/accounts/{accountId}/retailers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"attributes": {
"name": "<string>",
"campaignEligibilities": []
}
}
],
"metadata": {
"currentPageIndex": 123,
"currentPageSize": 123,
"nextPage": "<string>",
"previousPage": "<string>",
"totalItemsAcrossAllPages": 123,
"totalPages": 123
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
]
}/2025-01/retail-media/accounts/{accountId}/retailers
Gets page of retailer objects that are associated with the given account
GET
/
2025-01
/
retail-media
/
accounts
/
{accountId}
/
retailers
/2025-01/retail-media/accounts/{accountId}/retailers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The given account id
Query Parameters
The ids that you would like to limit your result set to
The 0 indexed page index you would like to receive given the page size
The maximum number of items you would like to receive in this request
Response
200 - application/json
Success
Was this page helpful?
⌘I